<#--
Version: 03.04.2008
-->

<#macro showcalendar data>

  <#assign week=data.mdays[0]?string("w")?number>

  <#if data.mdays[0]?string("E") == "Sun">
    <#assign week = week - 1 >
  </#if>

  <#assign basereq>pt.do?<@printRequiredParams method="get" />action=${data.action}</#assign>

  <#if data.servers??>
    <#list data.servers as s>
      <#assign basereq = "${basereq}&server${s}=true" /> 
    </#list>
  </#if>

  <table class="calendar">
   <tr class="calendarheader">
     <td class="cal_tl"></td>
     <td class="cal_tb" colspan="2">
        <table class="calendarheader">
	      <tr> 
	        <td align="left">
	         
	         <!-- previous month button -->
	         
	         <#assign req = "${basereq}&date=${data.previousMonth}" />
		     <#if data.rmonth?? && data.rmonth != "">
		      <#assign pm = data.previousMonth?split(".")>
		      <#assign req = "${req}&month=${pm[1]}">
		     </#if>
		     <#if data.hidden?? >
		      <#list data.hidden as hiddenEntry>
		       <#if hiddenEntry.value?is_sequence>
		        <#list hiddenEntry.value as value>
		         <#assign req = "${req}&${hiddenEntry.name}=${value?string}">
		        </#list>
		       <#else>
		        <#assign req = "${req}&${hiddenEntry.name}=${hiddenEntry.value}">
		       </#if>
		      </#list>
		     </#if>
		     
	         <input onclick="javascript:window.location.href='${req}';delayedPopupWaiting();" type="button" value="<<" <#if (data.disableBefore?? && data.mdays[0]?string("yyMMdd")?number < data.disableBefore?string("yyMMdd")?number)>  class="cal_disabled_stdbutton" disabled <#else> class="cal_stdbutton"</#if>>
	        </td>
	        
	        <td align="center">
	        
	         <!-- this month button -->
	          
	         <#if data.monthSelectable??>
	          <#assign req = "${basereq}&date=${data.mdays[0]?string('dd.MM.yyyy')}&month=${data.mdays[0]?string('M')}" >
		      <#if data.hidden?? >
		       <#list data.hidden as hiddenEntry>
		        <#if hiddenEntry.value?is_sequence>
		         <#list hiddenEntry.value as value>
		          <#assign req = "${req}&${hiddenEntry.name}=${value?string}">
		         </#list>
		        <#else>
		         <#assign req = "${req}&${hiddenEntry.name}=${hiddenEntry.value}">
		        </#if>
		       </#list>
		      </#if>
		      
	          <input onclick="javascript:window.location.href='${req}';delayedPopupWaiting();" type="submit" value="${data.mdays[0]?string("MMMM yyyy")}" class="cal_<#if data.rmonth?? && data.rmonth==data.mdays[0]?string("M")>highlighted_</#if>monthbutton">
	         <#else>
	          ${data.mdays[0]?string("MMMM yyyy")}
	         </#if>
	        </td>
	        
	        <td align="right">
	        
	         <!-- next month button -->
	        
	         <#assign req = "${basereq}&date=${data.nextMonth}" >
		     <#if data.rmonth?? && (data.rmonth != "")>
		      <#assign pm = data.nextMonth?split(".")>
		      <#assign req="${req}&month=${pm[1]}">
		     </#if>
		     <#if data.hidden?? >
		      <#list data.hidden as hiddenEntry>
		       <#if hiddenEntry.value?is_sequence>
		        <#list hiddenEntry.value as value>
		          <#assign req = "${req}&${hiddenEntry.name}=${value?string}">
		        </#list>
		       <#else>
		        <#assign req = "${req}&${hiddenEntry.name}=${hiddenEntry.value}">
		       </#if>
		      </#list>
		     </#if>
		     
             <!-- Substract 100 = 1 month here -->
             <input onclick="javascript:window.location.href='${req}';delayedPopupWaiting();" type="submit" value=">>" <#if (data.disableAfter?? && data.mdays[0]?string("yyMMdd")?number > data.disableAfter?string("yyMMdd")?number-100)> class="cal_disabled_stdbutton" disabled <#else> class="cal_stdbutton"</#if>>
  	        </td>
	  
	      </tr>
	    </table>
	    
	  </td>
	  <td class="cal_tr"></td>
	</tr>    <!-- end of first row -->
	
  	<tr class="calendarrow">  <!-- start of second row. Contains disabled buttons with weekdays as column headers -->
  	    <td class="cal_lb"></td>
		<td class="weekfield"><input onclick="javascript:window.location.href='${req}'" class="cal_head_weekbutton" type="submit" value="Week" disabled></td>
  		<td class="weekdays">
  			<div style="float: left; align: right">Mon</div>
			<div style="float: left; align: right">Tue</div>
			<div style="float: left; align: right">Wed</div>
			<div style="float: left; align: right">Thu</div>
			<div style="float: left; align: right">Fri</div>
			<div style="float: left; align: right">Sat</div>
			<div style="float: left; align: right">Sun</div>
  		</td>
  		<td class="cal_rb"></td>
  	</tr>
  	
	<tr class="calendarrow">  <!-- one row for each week in the month -->
      <td class="cal_lb"></td>
      <td class="weekfield"> 
		<#assign req = "${basereq}&date=${data.mdays[0]?string('dd.MM.yyyy')}&week=${week}" >
		<#if data.hidden?? >
		   <#list data.hidden as hiddenEntry>
		     <#if hiddenEntry.value?is_sequence>
		       <#list hiddenEntry.value as value>
		         <#assign req = "${req}&${hiddenEntry.name}=${value?string}">
		       </#list>
		     <#else>
		       <#assign req = "${req}&${hiddenEntry.name}=${hiddenEntry.value}">
		     </#if>
		   </#list>
		</#if>
	    <input onclick="javascript:window.location.href='${req}';delayedPopupWaiting();" class="cal_<#if data.rweek?? && data.rweek != "" && data.rweek?number == week>highlighted_</#if>weekbutton" type="submit" value="W ${week}" 
	    <#if (data.disableAfter?? && data.mdays[0]?string("yyMMdd")?number> data.disableAfter?string("yyMMdd")?number) || (data.disableBefore?? && data.mdays[0]?string("yyMMdd")?number < data.disableBefore?string("yyMMdd")?number)> disabled </#if>>
	  </td>
	  
	  <td class="weekdays">
	   
	   <#list data.disabledPrevious as dd>
        <div style="float: left; align: right">
	    <input class="cal_disabled_stdbutton" type="button" value="${dd?string("dd")}" disabled>
	    </div>
	   </#list>
	   
       <#list data.mdays as mday>
	    <#if mday?string("E") == "Mon" && mday?string("d")?number != 1>
         <#assign week=week+1>
          </td>
          <td class="cal_rb"></td>
		 </tr>
		 <tr class="calendarrow">
		  <td class="cal_lb"></td>
          <td class="weekfield">
			<#assign req = "${basereq}&date=${mday?string('dd.MM.yyyy')}&week=${week}" >
			<#if data.hidden?? >
		     <#list data.hidden as hiddenEntry>
		      <#if hiddenEntry.value?is_sequence>
		       <#list hiddenEntry.value as value>
		        <#assign req = "${req}&${hiddenEntry.name}=${value?string}">
		       </#list>
		      <#else>
		       <#assign req = "${req}&${hiddenEntry.name}=${hiddenEntry.value}">
		      </#if>
		     </#list>
		    </#if>
		    <input onclick="javascript:window.location.href='${req}';delayedPopupWaiting();" class="cal_<#if (data.rweek?? && data.rweek != "" && data.rweek?number == week)>highlighted_</#if><#if (data.disableAfter?? && mday?string("yyMMdd")?number > data.disableAfter?string("yyMMdd")?number) || (data.disableBefore?? && mday?string("yyMMdd")?number + 6 < data.disableBefore?string("yyMMdd")?number)>disabled_</#if>weekbutton" type="submit" value="W ${week}">
          </td>
	      <td class="weekdays">
        </#if>
      
        <div style="float: left; align: right">
		 <#assign req = "${basereq}&date=${mday?string('dd.MM.yyyy')}" >
		 <#if data.hidden?? >
		  <#list data.hidden as hiddenEntry>
		   <#if hiddenEntry.value?is_sequence>
		    <#list hiddenEntry.value as value>
		     <#assign req = "${req}&${hiddenEntry.name}=${value?string}">
		    </#list>
		   <#else>
		    <#assign req = "${req}&${hiddenEntry.name}=${hiddenEntry.value}">
		   </#if>
		  </#list>
		 </#if>
         <input onclick="javascript:window.location.href='${req}';delayedPopupWaiting();" class="cal_<#if (!data.rweek?? || (data.rweek?? && data.rweek == "")) && (!data.rmonth?? || (data.rmonth?? && data.rmonth == "")) && mday?string("d.M.yyyy") == data.date>highlighted_</#if><#if (data.disableAfter?? && mday?string("yyMMdd")?number > data.disableAfter?string("yyMMdd")?number) || (data.disableBefore?? && mday?string("yyMMdd")?number < data.disableBefore?string("yyMMdd")?number)>disabled_</#if>stdbutton" type="submit" value="${mday?string("dd")}" title="${mday?string("dd.MM.yyyy")}" <#if (data.disableAfter?? && mday?string("yyMMdd")?number > data.disableAfter?string("yyMMdd")?number) || (data.disableBefore?? && mday?string("yyMMdd")?number < data.disableBefore?string("yyMMdd")?number)>disabled</#if>>
        </div>
       </#list>

       <#list data.disabledNext as dd>
        <div style="float: left; align: right">
	     <input class="cal_disabled_stdbutton" type="button" value="${dd?string("dd")}" disabled>
	    </div>
       </#list>
      </td>
      <td class="cal_rb"></td>
	</tr>

    <tr>
      <td class="cal_bl"></td>
	  <td class="cal_bb" colspan="2"></td>
      <td class="cal_br"></td>
    </tr>
  </table>
  
</#macro>